Quassel IRC - Bug #298

Quassel join channels when single-clicking the name in the bufferview
08/28/2008 10:50 AM - adamtulinius

Status: Resolved Start date:

Priority: High Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.3.1

Version: 0.13.1 0S: Any
Description

After parting a channel, a normal click on the channel will make you join again (-- it should be a double-click).

Regression from .. eh.. sometime in the past :-)

Associated revisions

Revision 0a82bb8c3fe72240b6fa03fd1018289465abf7f1 - 11/15/2008 09:37 PM - Manuel Nickschas

Don't join channels on single click in bufferviews on X11, fixes BR #298

Revision 0a82bb8c - 11/15/2008 09:37 PM - Manuel Nickschas

Don't join channels on single click in bufferviews on X11, fixes BR #298

History

#1 - 11/15/2008 09:39 PM - Sputnick

AFAIR this was changed from doubleClicked() to activated() a while ago, because doubleClicked() fails on Mac. Apparently, activated() fails on X11
though.

We explicitly require a double click now again on X11, even though the docs for activated() suggest differently...
